%define pyver %(python -c 'import sys ; print sys.version[:3]')
%define pynext %(python -c 'print %{pyver} + 0.1')

Name:           id3-py
Version:        1.2
Release:        0.fdr.5.rh90
Epoch:          0
Summary:        Python ID3 tag library

Group:          Development/Libraries
License:        GPL
URL:            http://id3-py.sourceforge.net/
Source0:        http://download.sourceforge.net/id3-py/id3-py_1.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
Requires:       python >= 0:%{pyver}, python < 0:%{pynext}

%description
This is a simple Python module for retrieving and setting so-called
ID3 tags on MP3 compressed audio files through an object-oriented
interface. MP3 players generally use this simple information for
display track title, artist name, and album title while playing the
sound file.


%prep
%setup -q


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT
touch $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/ID3.pyo


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING README
%{_libdir}/python%{pyver}/site-packages/ID3.py
%{_libdir}/python%{pyver}/site-packages/ID3.pyc
%ghost %{_libdir}/python%{pyver}/site-packages/ID3.pyo


%changelog
* Wed Oct 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.5
- Fix Python version requirements.

* Sun Aug 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.4
- Do %%ghost files manually.

* Mon Jul 28 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.3
- Use fedora-rpm-helper to find compiled %%ghost files.

* Sat Jul 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.2
- Use --root $RPM_BUILD_ROOT instead of --prefix $RPM_BUILD_ROOT%%{_prefix}.

* Fri Jun 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.1
- First build.
